Sparkol Help

Topic not covered?

Start a new topic

Need the older version of Videoscribe

I cannot use the new version of Videoscribe I need to be able to delete this and download the older version. Can someone help me please.


Ralph D.


1 person has this question
On the download page, scroll down to "Previous versions" and click either the mac or windows link to download version 2.3.7

-Mike (videoscribe user)

Hello i have downloaded the latest version of videoscribe which is 3.5 but i have found the oldest version that us 2.1.2 to be more easy to use and has more features can you please guide me to find the old version 2.1.2 

2.1.2 is no longer supported

What features are you looking for? 


Login to post a comment